Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon
Class Version

    java.lang.Object
      net.sf.saxon.Version

    public final class Version

extends Object

The Version class holds the SAXON version information.

Method Summary
`static String` | `getProductName()` Return the name of this product.
`static String` | `getProductTitle()` Get a message used to identify this product when a transformation is run using the -t option
`static String` | `getProductVersion()` Get the user-visible version number of this version of the product
`static String` | `getReleaseDate()` Get the issue date of this version of the product
`static String` | `getSchemaAwareProductVersion()` Get the version number of the schema-aware version of the product
`static int[]` | `getStructuredVersionNumber()` Get the four components of the structured version number.
`static String` | `getWebSiteAddress()` Return a web site address containing information about the product.
`static String` | `getXSLVersionString()` Get the version of the XSLT specification that this product supports
`static void` | `main(String[] args)` Invoking net.sf.saxon.Version from the command line outputs the build number

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getProductName

    public static final String getProductName()

  Return the name of this product. Supports the XSLT 2.0 system property xsl:product-name

  Returns:
    the string "SAXON"

### getSchemaAwareProductVersion

    public static final String getSchemaAwareProductVersion()

  Get the version number of the schema-aware version of the product

  Returns:
    the version number of this version of Saxon, as a string

### getProductVersion

    public static final String getProductVersion()

  Get the user-visible version number of this version of the product

  Returns:
    the version number of this version of Saxon, as a string: for example "8.7.3"

### getStructuredVersionNumber

    public static final int[] getStructuredVersionNumber()

  Get the four components of the structured version number. This is used in the .NET product to locate an assembly in the dynamic assembly cache: the assumption is that the third and fourth components represent implementation changes rather than interface changes

  Returns:
    the four components of the version number, as an array: for example {8, 7, 3, 1}

### getReleaseDate

    public static final String getReleaseDate()

  Get the issue date of this version of the product

  Returns:
    the release date, as an ISO 8601 string

### getXSLVersionString

    public static final String getXSLVersionString()

  Get the version of the XSLT specification that this product supports

  Returns:
    the string 2.0

### getProductTitle

    public static final String getProductTitle()

  Get a message used to identify this product when a transformation is run using the -t option

  Returns:
    A string containing both the product name and the product version

### getWebSiteAddress

    public static final String getWebSiteAddress()

  Return a web site address containing information about the product. Supports the XSLT system property xsl:vendor-url

  Returns:
    the string "http://saxon.sf.net/"

### main

    public static void main(String[] args)

  Invoking net.sf.saxon.Version from the command line outputs the build number

  Parameters:
    `args` - not used

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.